Search Tickets
Search tickets with filters. Supports filtering by team, assignment, status, escalation level, and time range.
curl --request POST \
--url https://public.api.serval.com/v2/tickets/search \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"teamIds": [
"<string>"
],
"assignedToUserIds": [
"<string>"
],
"requesterUserIds": [
"<string>"
],
"statusIds": [
"<string>"
],
"escalationLevels": [],
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"pageSize": 123,
"pageToken": "<string>"
}
'import requests
url = "https://public.api.serval.com/v2/tickets/search"
payload = {
"teamIds": ["<string>"],
"assignedToUserIds": ["<string>"],
"requesterUserIds": ["<string>"],
"statusIds": ["<string>"],
"escalationLevels": [],
"createdAfter": "2023-11-07T05:31:56Z",
"createdBefore": "2023-11-07T05:31:56Z",
"pageSize": 123,
"pageToken": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
teamIds: ['<string>'],
assignedToUserIds: ['<string>'],
requesterUserIds: ['<string>'],
statusIds: ['<string>'],
escalationLevels: [],
createdAfter: '2023-11-07T05:31:56Z',
createdBefore: '2023-11-07T05:31:56Z',
pageSize: 123,
pageToken: '<string>'
})
};
fetch('https://public.api.serval.com/v2/tickets/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "<string>",
"friendlyIdentifier": "<string>",
"teamId": "<string>",
"name": "<string>",
"description": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"completedAt": "2023-11-07T05:31:56Z",
"escalatedAt": "2023-11-07T05:31:56Z",
"createdByUserId": "<string>",
"assignedToUserId": "<string>",
"requesterUserId": "<string>",
"statusId": "<string>",
"priorityId": "<string>",
"slaStartedAt": "2023-11-07T05:31:56Z",
"slaBreachesAt": "2023-11-07T05:31:56Z",
"labelIds": [
"<string>"
],
"dueDate": {
"year": 123,
"month": 123,
"day": 123
},
"isOverdue": true,
"childTicketIds": [
"<string>"
],
"linkedTicketIds": [
"<string>"
],
"duplicateTicketIds": [
"<string>"
],
"dependsOnTicketIds": [
"<string>"
],
"parentTicketId": "<string>",
"conversationThreadTicketIds": [
"<string>"
],
"conversationThreadParentTicketId": "<string>",
"nameTranslations": {},
"descriptionTranslations": {},
"categoryOptionId": "<string>"
}
],
"nextPageToken": "<string>"
}{
"message": "<string>",
"detail": {
"type": "<string>",
"value": "<string>",
"debug": {}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Optional. Filter to specific teams. If not provided, searches all accessible teams.
Optional. Only return tickets assigned to any of these users.
Optional. Only return tickets requested by any of these users.
Optional. Filter by status IDs. Returns tickets matching ANY of the specified statuses.
Optional. Filter by escalation levels. Returns tickets matching ANY of the specified levels.
AI, HUMAN Optional. Only include tickets created at or after this time.
Optional. Only include tickets created at or before this time.
Maximum number of results to return. Default is 1000, maximum is 5000.
Token for pagination. Leave empty for the first request.
Was this page helpful?

